Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361011

Summary: [virtio-win][netkvm] whql job "KeepAlive" failed with error "Unable to start ndprot630 driver service NDIS_STATUS (0x000000C1)" on win8.1-64
Product: Red Hat Enterprise Linux 7 Reporter: Peixiu Hou <phou>
Component: virtio-winAssignee: Yan Vugenfirer <yvugenfi>
virtio-win sub component: virtio-win-prewhql QA Contact: Virtualization Bugs <virt-bugs>
Status: CLOSED CURRENTRELEASE Docs Contact:
Severity: unspecified    
Priority: high CC: lijin, phou
Version: 7.3Keywords: Regression, TestBlocker
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-06 07:02:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Peixiu Hou 2016-07-28 07:06:59 UTC
Description of problem:

Run whql job "KeepAlive failed, shown error message "Unable to start ndprot630 driver service NDIS_STATUS (0x000000C1)". --win8.1-64

Version-Release number of selected component (if applicable):
kernel-3.10.0-472.el7.x86_64
qemu-kvm-rhev-2.6.0-14.el7.x86_64
seabios-1.9.1-4.el7.x86_64
virtio-win-prewhql-123

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with:
/usr/libexec/qemu-kvm -name 122NICBLUE64CLJ -enable-kvm -m 3G -smp 2 -uuid 93440a28-bc97-4f34-aacc-1a6b191511e8 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/122NICBLUE64CLJ,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=122NICBLUE64CLJ,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_8_1_enterprise_x64_dvd_2971902.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=122NICBLUE64CLJ.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:54:1b:44:00,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:2 -vga qxl -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1,vhost=on,queues=2 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:25:10:80:08,bus=pci.0,mq=on,vectors=6,disable-legacy=on,disable-modern=off

2. Run job "KeepAlive".

3. Check the result.

Actual results:
Failed

Expected results:
Passed

Additional info:
1. The issue can be reproduced on virtio-win-prewhql-123
2. The case passed on virtio-win-prewhql-117

Comment 4 Peixiu Hou 2016-08-02 06:00:50 UTC
Hi Yan,

Yes, it's a NDISTest6.5 job. And I rerun this job with virtio-win-prewhql-124

Steps as comment#0

Job NDISTest 6.5 - [2 Machine] - KeepAlive can be passed, thanks so much~~


Best Regards~
Peixiu Hou

Comment 5 lijin 2016-08-02 06:12:12 UTC
change status to verified according to comment#4

Comment 6 lijin 2017-01-06 07:02:00 UTC
close as this issue has already been fixed in rhel7.3 virtio-win package